Bug 13299 - trusted domains marked as CROSS_ORGANIZATION (with selective authentication) are implemented as domain wide authentication trusts
trusted domains marked as CROSS_ORGANIZATION (with selective authentication) ...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.8.0rc2
All All
: P5 regression
: 4.8
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-26 08:16 UTC by Stefan Metzmacher
Modified: 2018-03-08 09:03 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-8-test (6.99 KB, patch)
2018-02-28 23:38 UTC, Stefan Metzmacher
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2018-02-26 08:16:32 UTC
We don't support selective authentication yet,
so we shouldn't silently allow domain wide authentication
for such a trust.
Comment 1 Stefan Metzmacher 2018-02-28 23:38:37 UTC
Created attachment 14007 [details]
Patches for v4-8-test
Comment 2 Stefan Metzmacher 2018-03-08 09:03:37 UTC
Fixed in 4.8.0rc4